<ng-container *transloco="let t">
  <mat-form-field appearance="fill">
    <mat-label>{{ t('PAGES.SETTINGS.UI_LANGUAGE_SETTING.LABEL') }} </mat-label>
    <mat-select [formControl]="languageControl">
      @for (kvp of languageService.availableLanguages | keyvalue; track kvp.key)
      {
      <mat-option [value]="kvp.value.code">
        <moe-language-icon [language]="kvp.value.languageEnum" />
        <span>{{ kvp.value.fullName }}</span>
      </mat-option>
      }
    </mat-select>
  </mat-form-field>
</ng-container>
